Closed Bug 1240616 Opened 4 years ago Closed 4 years ago

mach suggests deprecated commands

Categories

(Testing :: Mochitest, defect)

Version 3
defect
Not set

Tracking

(firefox46 fixed)

RESOLVED FIXED
mozilla46
Tracking Status
firefox46 --- fixed

People

(Reporter: longsonr, Assigned: longsonr)

References

Details

Attachments

(1 file)

Type ./mach mochitest-run <path>

Actual: 

It looks like you are trying to run an unknown mach command: mochitest-run

Did you want to run any of these commands instead: mochitest-a11y, mochitest-chrome, mochitest-plain?

Run |mach help| to show a list of commands.

Expected: should execute ./mach mochitest as that's close enough rather than listing a load of deprecated commands
Attached patch patchSplinter Review
Assignee: nobody → longsonr
Attachment #8709173 - Flags: review?(cmanchester)
Summary: mochitest suggests deprecated commands → mach suggests deprecated commands
Blocks: 1164597
Comment on attachment 8709173 [details] [diff] [review]
patch

Review of attachment 8709173 [details] [diff] [review]:
-----------------------------------------------------------------

Thank you for the patch.
Attachment #8709173 - Flags: review?(cmanchester) → review+
https://hg.mozilla.org/mozilla-central/rev/6b484d5e026a
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla46
You need to log in before you can comment on or make changes to this bug.